package dev.service;


import dev.dao.MenuItemDao;
import dev.model.MenuItem;


import java.util.List;



public class MenuService {


    private final MenuItemDao dao =
            new MenuItemDao();



    public void showMenu(){


        List<MenuItem> items =
                dao.findAll();



        System.out.println(
                "========== MENU =========="
        );



        for(MenuItem item:items){


            System.out.println(

                    item.getId()
                            +" - "
                            +item.getName()
                            +" $"
                            +item.getPrice()

            );


        }


    }


}